const require_is_plain_object = require('./is-plain-object.cjs');

//#region ../../node_modules/.pnpm/@stryke+convert@0.6.38/node_modules/@stryke/convert/dist/type-checks/src/is-object.mjs
/**
* Check if the provided value's type is `Object`
*
* @param value - The value to type check
* @returns An indicator specifying if the value provided is of type `Object`
*/
const isObject = (value) => {
	try {
		return typeof value === "object" || Boolean(value) && value?.constructor === Object || require_is_plain_object.isPlainObject(value);
	} catch {
		return false;
	}
};

//#endregion
exports.isObject = isObject;